Name:           caribou
Version:        0.4.21
Release:    1%{?dist}
Summary:        A simplified in-place on-screen keyboard
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Caribou
Source0:        http://download.gnome.org/sources/caribou/0.4/caribou-%{version}.tar.xz
Patch1:         caribou-0.4.20-fix-python-exec.patch
Patch2:         caribou-0.4.20-multilib.patch
Patch3:         change_autostart_cinnamon.patch
Patch4:         fix-style-css.patch
Patch5:         Fix-compilation-error.patch
Patch6:         Fix-subkey-popmenu-not-showing-after-being-dismissed.patch
Patch7:         xadapter.vala-Remove-XkbKeyTypesMask-and-f.patch
Patch8:         drop_gir_patch.patch

BuildRequires:  automake
BuildRequires:  make
BuildRequires:  gtk2-devel
BuildRequires:  gtk3-devel
BuildRequires:  pygobject3-devel
BuildRequires:  intltool
BuildRequires:  gnome-doc-utils
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  clutter-devel
BuildRequires:  vala
BuildRequires:  libXtst-devel
BuildRequires:  libxklavier-devel
BuildRequires:  libgee-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  at-spi2-core-devel

Requires:       python3-%{name} = %{version}-%{release}
Requires:       gobject-introspection
Recommends:     caribou-gtk2-module
Requires:       caribou-gtk3-module


%description
Caribou is a text entry application that currently manifests itself as
a simplified in-place on-screen keyboard.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package     -n python3-caribou
Summary:        Keyboard UI for %{name}
BuildRequires:  python3-devel
BuildRequires:  python3-gobject

Requires:       python3-gobject
Requires:       python3-pyatspi
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description  -n python3-caribou
This package contains caribou python3 GUI

%package        gtk2-module
Summary:        Gtk2 module for %{name}
Requires:       %{name} = %{version}-%{release}

%description    gtk2-module
This package contains caribou module for gtk2 applications.

%package        gtk3-module
Summary:        Gtk3 module for %{name}
Requires:       %{name} = %{version}-%{release}

%description    gtk3-module
This package contains caribou module for gtk3 applications.

%package        antler
Summary:        Keyboard implementation for %{name}
Requires:       python3-%{name} = %{version}-%{release}

%description    antler
This package contains caribou keyboard implementation for
non-gnome-shell sessions.

%prep
%autosetup -p1
autoreconf -fiv

%build
%configure --disable-static PYTHON=python3
make clean
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -exec rm -f {} ';'

desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop || :
desktop-file-validate %{buildroot}%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/caribou-gtk-module.desktop || :

%find_lang caribou


%files -f caribou.lang
%doc NEWS README
%license COPYING
%{_bindir}/caribou-preferences
%{_datadir}/caribou
%{_libdir}/girepository-1.0/Caribou-1.0.typelib
%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop
%{_datadir}/dbus-1/services/org.gnome.Caribou.Daemon.service
%{_datadir}/glib-2.0/schemas/org.gnome.caribou.gschema.xml
%{_libdir}/libcaribou.so.0*
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/caribou-gtk-module.desktop
%{_libexecdir}/caribou

%files -n python3-caribou
%{python3_sitelib}/caribou

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/caribou-1.0.pc
%{_datadir}/gir-1.0/Caribou-1.0.gir
%{_datadir}/vala

%files gtk2-module
%{_libdir}/gtk-2.0/modules/libcaribou-gtk-module.so

%files gtk3-module
%{_libdir}/gtk-3.0/modules/libcaribou-gtk-module.so

%files antler
%{_datadir}/antler
%{_datadir}/dbus-1/services/org.gnome.Caribou.Antler.service
%{_libexecdir}/antler-keyboard
%{_datadir}/glib-2.0/schemas/org.gnome.antler.gschema.xml


%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.21-1
- initial build
